KOPANO-SPOOLER(8)

NAME
kopano-spooler - Start the Kopano spooler.

SYNOPSIS

kopano-spooler [OPTION...] [SERVERNAME]

DESCRIPTION

The spooler sends all pending Kopano e-mail to the recipients. When started, the program will keep running and sending messages whenever needed.

The outgoing mailserver can be overwritten from the config file by specifying this on the commandline.

The default settings of the spooler program are defined in kopano-spooler.cfg(5).

OPTIONS

Various options are possible. None of these options are required.

--config, -c spooler.cfg
    Specify the location of the spooler.cfg file. If the spooler.cfg file is not specified, the spooler will try to load /etc/kopano/spooler.cfg. If that file is not present, it will continue using its default settings.

--host, -h path
    Connect to the storage server through path, e.g. file:///path/to/socket. Default: file:///var/run/kopano/server.sock. Overrides the config file setting.

--foreground, -F
    Run in the foreground. Normally the spooler will daemonize and run in the background.

USAGE

To start the spooler delivering e-mail to recipients:

kopano-spooler

To start the spooler delivering e-mail through smtp.example.com:

kopano-spooler smtp.example.com

The spooler process will keep running and watching the outgoing queue for new mail to send. You may also use the init.d scripts:

/etc/init.d/kopano-spooler [start| stop| restart]

SIGNALS

The following signals can be sent to the kopano-spooler process:

HUP
    When the HUP signal is received, some options from the configuration file are reloaded. The reloadable options are listed in the kopano-spooler.cfg(5) manual page.

    Also, when using log_method = file, the logfile will be closed and a new logfile will be opened. You can use this signal in your logrotate system.

TERM
    To gracefully let the service exit, the normal TERM signal is used. Because of multiple running threads, it may take up to 60 seconds for the server to completely shutdown.

AUTHOR

Written by Kopano.

SEE ALSO

kopano-spooler.cfg(5), kopano-server(8)